package com.yutou.jianr_mg.plugins.Activitys;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.widget.LinearLayout;

import Interfaces.BaseActivityInterface;

public class MainActivity implements BaseActivityInterface {
    public static String name="adlist";
    public static String title="恰饭时刻";
    public static String appId="abcdefg";
    public static String url="#";
    public static String image="#";
    public static String mainFunction="com.yutou.jianr_mg.plugs.test.app1.MainActivity#localActivity";
    public static Integer permission=0;
    public static String homeurl="";
    public static Handler handler;

    public MainActivity() {
    }


    @Override
    public void onCreate(Bundle savedInstanceState, LinearLayout layout, final Context context, Intent intent) {
        layout.setOrientation(LinearLayout.VERTICAL);
    }



    @Override
    public void onRestart() {

    }

    @Override
    public void onResume() {

    }

    @Override
    public void onPause() {

    }

    @Override
    public void onDestroy() {

    }

    @Override
    public void getIntent(Intent intent) {

    }

    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        return false;
    }

    @Override
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        return false;
    }

    @Override
    public boolean onTouchEvent(MotionEvent event) {
        return false;
    }

    @Override
    public Data getData() {
        return null;
    }

}
